# TdApi.CreateCall (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: CreateCall

Package it.tdlight.jni

# Class TdApi.CreateCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.CreateCall

Enclosing class:
  TdApi

    public static class TdApi.CreateCall
    extends TdApi.Function

Creates a new call.

Returns `CallId`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `isVideo` | True, if a video call needs to be created.
`TdApi.CallProtocol` | `protocol` | Description of the call protocols supported by the application.
`long` | `userId` | Identifier of the user to be called.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CreateCall()` | Creates a new call.
`CreateCall​(long userId, TdApi.CallProtocol protocol, boolean isVideo)` | Creates a new call.
`CreateCall​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Identifier of the user to be called.

### protocol

public TdApi.CallProtocol protocol
Description of the call protocols supported by the application.

### isVideo

public boolean isVideo
True, if a video call needs to be created.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### CreateCall

public CreateCall()
Creates a new call.

Returns `CallId`

### CreateCall

public CreateCall​(long userId, TdApi.CallProtocol protocol, boolean isVideo)
Creates a new call.

Returns `CallId`

Parameters:
  `userId` - long Identifier of the user to be called.
  `protocol` - CallProtocol Description of the call protocols supported by the application.
  `isVideo` - boolean True, if a video call needs to be created.

### CreateCall

public CreateCall​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`